<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for UpdateGatewayEndpointDigitalAccessT1Req StructType
 * @subpackage Structs
 */
class UpdateGatewayEndpointDigitalAccessT1Req extends NameAndGUIDRequest
{
    /**
     * The endpoint
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var UGatewayEndpointDigitalT1
     */
    public $endpoint;
    /**
     * Constructor method for UpdateGatewayEndpointDigitalAccessT1Req
     * @uses UpdateGatewayEndpointDigitalAccessT1Req::setEndpoint()
     * @param UGatewayEndpointDigitalT1 $endpoint
     */
    public function __construct(UGatewayEndpointDigitalT1 $endpoint = null)
    {
        $this
            ->setEndpoint($endpoint);
    }
    /**
     * Get endpoint value
     * @return UGatewayEndpointDigitalT1|null
     */
    public function getEndpoint()
    {
        return $this->endpoint;
    }
    /**
     * Set endpoint value
     * @param UGatewayEndpointDigitalT1 $endpoint
     * @return UpdateGatewayEndpointDigitalAccessT1Req
     */
    public function setEndpoint(UGatewayEndpointDigitalT1 $endpoint = null)
    {
        $this->endpoint = $endpoint;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return UpdateGatewayEndpointDigitalAccessT1Req
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
